#!/usr/bin/python3

import numpy as np
from coyote import Coyote, run

coyote = Coyote("test_simple")

coyote.def_grid([4], [0.0, 0.0, 1.0, 1.0], [0.0, 1.0, 1.0, 0.0], [0, 1, 2, 3], [0.5], [0.5])


i = 1


def handler(event):
    global i
    data = np.asarray(event.data)
    assert np.allclose(data, i)
    i += 2
    assert data.base is not None  # ensures that this is a view onto the data


coyote.add_field("simple_source", "simple_grid", "clock", handler, "PT2S")

run()
